"Switch to tab" can get stuck in location bar
STR:

* Open two tabs to 
* Focus the location bar.
* Type <space> <backspace>. A list of awesomebar selections should appear. The top one should be a switch-to-tab suggestion.
* Press <down> to select the switch-to-tab suggestion.
* Click into the main mozilla.org site

Actual results:

"Switch to tab" remains in the location bar, obscuring the site's favicon, and with it, obscuring the visual indicator as to whether the site is secure.

This doesn't seem right to me. I'm not sure I have a concrete suggestion as to how to fix this, since the UI here is pretty complicated. If I'd typed into the location bar and then unfocused it, I'd expect my typing to remain there. But since I just pressed <down>, it seems like I'm not committed to that switch-to-tab action, and showing "switch-to-tab" prominently in the location bar doesn't seem right to me.
